//@ts-ignore
import { PropertyEditorProps } from "@grapecity/core-ui";
/**
 * Color editor localization properties.
 **/
export type ColorEditorLocalization = {
    /**
     * Text for Standard Colors label.
     **/
    textStandardColors: string;
    /**
     * Text for Palettes label.
     **/
    textPalettes: string;
    /**
     * Text for color picker label.
     **/
    textColorPicker: string;
    /**
     * Text for WebColors palette label.
     **/
    textWebColors: string;
    /**
     * Opacity text.
     **/
    textOpacity: string;
    /**
     * Web color names.
     **/
    textWebColorNames: Record<string, string>;
    /**
     * Label for Hue slider
     **/
    textHue: string;
    /**
     * Label for Saturation slider
     **/
    textSaturation: string;
    /**
     * Label for Lightness slider
     **/
    textLightness: string;
    /**
     * Label for Hex input
     **/
    textHex: string;
    /**
     * Label for R input
     **/
    textR: string;
    /**
     * Label for G input
     **/
    textG: string;
    /**
     * Label for B input
     **/
    textB: string;
};
export type ColorEditorProps = PropertyEditorProps & {
    opacity?: boolean;
    localization: ColorEditorLocalization;
};
