import { ReplaceTextModel } from "../Models/ViewerTypes";
import { SearchResult } from "../Search";
import { TextSourceData } from "../Search/types";
import { CustomHighlight } from "./CustomHighlight";
import { ICustomHighlight } from "./types";
/**
 * Represents a highlight specifically for replaced text, extending the `CustomHighlight` class.
 * Implements the `ICustomHighlight` interface, with additional properties and methods for managing replaced text.
 */
export declare class SearchReplacementHighlight extends CustomHighlight implements ICustomHighlight {
    pageIndex: number;
    replaceWith: string;
    replaceData: ReplaceTextModel;
    sourceData: TextSourceData[];
    viewer: any;
    readonly hashId: string;
    constructor(searchResult: SearchResult, replaceWith: string, searcher: any, pageIndex: number, hashId: string);
    private _paintReplacedTerm;
}
