import GcPdfViewer from "..";
import { SaveSettings } from "../Models/ViewerTypes";
import { ViewerOptions } from "../ViewerOptions";
/**
 * Options and properties which will be passed to SupportApi controller before open or save action.
 * */
export declare class DocumentOptions {
    constructor(clientID: string, options: ViewerOptions, docViewer: GcPdfViewer, saveSettings?: SaveSettings);
    clientID: string;
    friendlyFileName: string;
    fileUrl: string;
    fileName: string;
    password: string;
    /**
     * Arbitrary data associated with the viewer.
     * This data is sent to the server when the document is saved.
     **/
    userData?: any;
    userName: string;
    /**
     * Save settings.
     **/
    saveSettings?: SaveSettings;
}
