//@ts-ignore
import { ToolbarLayout } from '@grapecity/viewer-core';
import { ToolbarButtonKey } from '../Annotations/AnnotationTypes';
/**
 * Defines the layout of the toolbar for different viewer modes:
 * viewer, annotationEditor, formEditor.
 **/
export type PdfToolbarLayout = {
    /**
     * The toolbar layout for viewer mode.
     **/
    viewer: ToolbarLayout;
    /**
     * The toolbar layout for the Annotation editor mode.
     **/
    annotationEditor: ToolbarLayout;
    /**
     * The toolbar layout for the Form editor mode.
     **/
    formEditor: ToolbarLayout;
    /**
     * Array with button keys that will use sticky behavior - the button remains checked after editing is complete.
     * Applicable only to annotation / form editor toolbar keys.
     * @default undefined
     **/
    stickyBehavior?: ToolbarButtonKey[];
};
