export type PageDisplayDropdownModel = {
    openDropdown: boolean;
    disabled?: boolean;
    version?: number;
};
export type PageDisplayDropdownProps = {
    isFullscreen(): boolean;
    viewer: any;
    shortcutTip: string;
};
/**
 * Page display type.
 */
export type PageDisplayType = "SinglePageScrolling" | "SinglePage" | "TwoPage" | "TwoPageScrolling";
export type SaveAsDropdownModel = {
    openDropdown: boolean;
    disabled?: boolean;
    version?: number;
    lastSaveAsFormat?: SaveAsFormat;
};
export type SaveAsDropdownProps = {
    isFullscreen(): boolean;
    viewer: any;
    shortcutTip: string;
};
/**
 * Options for the "Save As" feature.
 */
export type SaveAsOptions = {
    /**
     * List of destination format types that will be available in the "Save As" dropdown menu.
     * Available formats: "PDF", "PNG", "SVG".
     */
    availableFormats?: SaveAsFormat[];
    /**
     * Determines whether the "Save As" button is displayed.
     * If set to true or undefined, the "Save As" button will be shown.
     * If set to false, the "Save As" button will be hidden.
     */
    showSaveAsButton?: boolean;
};
/**
 * Save as type.
 */
/**
 * Save as type.
 */
export type SaveAsFormat = "PDF" | "LINEARIZED" | "ORIGINAL" | "PNG" | "SVG";
export type SaveAsItem = "split" | SaveAsFormat;
