/**
* Undo storage options.
**/
export type UndoStorageOptions = {
    /**
     * Max undo levels.
     **/
    maxLevels?: number;
    /**
     * The names of the undo commands to skip.
     * Available built-in command names are: "Open", "Close", "PageIndex", "Zoom".
     * Note that the "Open"/"Close" and "StartAnimation"/"StopAnimation" commands are paired - if one command is skipped, the other command will also be skipped.
     * @example
     * ```javascript
     * var viewer = new GcWordViewer(selector, {
     *   undo: { skipCommands: ["Open", "Zoom"] }
     * });
     * ```
     **/
    skipCommands?: string[];
};
