/**
 * Build sound file using audio data provided by parameter audioData and audioOptions used to generate RIFF header.
 * @param audioData
 * @param audioOptions
 */
export declare function buildAudioFile(audioData: Uint8Array, audioOptions: {
    numChannels: number;
    sampleRate: number;
    bytesPerSample: number;
    subchunk2Size: number;
}): Uint8Array;
/**
 * Build a header for the WAVE audio format.
 * @param opts
 */
export declare function buildWaveHeader(opts: {
    numChannels: number;
    sampleRate: number;
    bytesPerSample: number;
    subchunk2Size: number;
}): ArrayBuffer;
