export type ProgressStep = "open" | "open-updated" | "download" | "download-updated" | "check-status";
export type ProgressDialogSink = {
    onCancel: (error: string) => void;
    onComplete: (correlationId?: string) => void;
    onProgress: (value: number, message: string) => void;
    onStep: (stepName: ProgressStep, params?: {
        disableCancel?: boolean;
    }) => void;
    cancelled?: boolean;
    progressMessage?: string;
};
/**
 * Confirm button type.
 **/
export type ConfirmButton = "Yes" | "No" | "Ok" | "Cancel" | "Confirm" | "Close" | "Dismiss";
export type ConfirmationDialogState = {
    showModal: boolean;
    title?: string;
    buttons?: ConfirmButton[];
    detailsExpanded?: boolean;
};
export type ConfirmationDialogProps = {
    title?: string;
    in17n: any;
};
