import { SearchPanelModel } from "../Search/types";
/**
 * Represents the model for a floating search bar component.
 *
 * @typedef {Object} FloatingSearchBarModel
 *
 * @property {boolean} expanded - Indicates whether the search bar is expanded (true) or collapsed (false).
 * @property {boolean} visible - Indicates whether the search bar is visible (true) or hidden (false).
 */
export type FloatingSearchBarModel = {
    visible: boolean;
} & SearchPanelModel;
/**
 * Initializes and returns a new FloatingSearchBarModel with default values.
 *
 * @returns {FloatingSearchBarModel} The initial floating search bar model with `visible` set to false and `expanded` set to false.
 */
export declare function initFloatingSearchBarModel(): FloatingSearchBarModel;
