import { KeyboardShortcutTool } from "../Models/ViewerTypes";
import { ViewerOptions } from "../ViewerOptions";
export declare class ShortcutsConfig {
    private options;
    constructor(options: ViewerOptions);
    /**
     * Populates changed options.
     * @param opts
     */
    populateOptions(opts: ViewerOptions): void;
    /**
     * Generates a string with keyboard shortcuts for a specified keyboard shortcut tool.
     * @param {KeyboardShortcutTool} toolName - The tool for which keyboard shortcuts are generated.
     * @returns {string} Formatted string with unique keyboard shortcuts.
     */
    getShortcutTip(toolName: KeyboardShortcutTool | string): string;
    private _parseShortcutKeys;
    private _readShortcutTooltipPart;
}
